diff --git a/src/backend/replication/walsender.c b/src/backend/replication/walsender.c
index 3ca2a11389..eab47ed034 100644
--- a/src/backend/replication/walsender.c
+++ b/src/backend/replication/walsender.c
@@ -3503,6 +3503,8 @@ WalSndKeepaliveIfNecessary(void)
 {
 	TimestampTz ping_time;
 
+	elog(LOG, "attempt to send keep alive message");
+
 	/*
 	 * Don't send keepalive messages if timeouts are globally disabled or
 	 * we're doing something not partaking in timeouts.
@@ -3524,6 +3526,8 @@ WalSndKeepaliveIfNecessary(void)
 	{
 		WalSndKeepalive(true);
 
+		elog(LOG, "sent keep alive message");
+
 		/* Try to flush pending output to the client */
 		if (pq_flush_if_writable() != 0)
 			WalSndShutdown();
